### Hierarchy

- TokenService

## Index

### Constructors

- constructor

### Properties

- load
- registry
- tokenRegistry
- tokens
- tokensList
- tokensSubject

### Methods

- addToken
- getTokenBalance
- getTokenByAddress
- getTokenBySymbol
- getTokenName
- getTokenSymbol
- getTokens
- init

## Constructors

### constructor

- new TokenService(): TokenService

- - Defined in src/app/_services/token.service.ts:19

  #### Returns TokenService

## Properties

### load

load: BehaviorSubject<any> = ...

- Defined in src/app/_services/token.service.ts:19

### registry

registry: CICRegistry

- Defined in src/app/_services/token.service.ts:12

### tokenRegistry

tokenRegistry: TokenRegistry

- Defined in src/app/_services/token.service.ts:13

### tokens

tokens: Token[] = []

- Defined in src/app/_services/token.service.ts:14

### Private tokensList

tokensList: BehaviorSubject<Token[]> = ...

- Defined in src/app/_services/token.service.ts:15

### tokensSubject

tokensSubject: Observable<Token[]> = ...

- Defined in src/app/_services/token.service.ts:18

## Methods

### addToken

- addToken(token: Token): void

- - Defined in src/app/_services/token.service.ts:31

  #### Parameters

  - ##### token: Token

  #### Returns void

### getTokenBalance

- getTokenBalance(address: string): Promise<(address: string) => Promise<number>>

- - Defined in src/app/_services/token.service.ts:72

  #### Parameters

  - ##### address: string

  #### Returns Promise<(address: string) => Promise<number>>

### getTokenByAddress

- getTokenByAddress(address: string): Promise<Token>

- - Defined in src/app/_services/token.service.ts:51

  #### Parameters

  - ##### address: string

  #### Returns Promise<Token>

### getTokenBySymbol

- getTokenBySymbol(symbol: string): Promise<Observable<Token>>

- - Defined in src/app/_services/token.service.ts:62

  #### Parameters

  - ##### symbol: string

  #### Returns Promise<Observable<Token>>

### getTokenName

- getTokenName(): Promise<string>

- - Defined in src/app/_services/token.service.ts:77

  #### Returns Promise<string>

### getTokenSymbol

- getTokenSymbol(): Promise<string>

- - Defined in src/app/_services/token.service.ts:82

  #### Returns Promise<string>

### getTokens

- getTokens(): Promise<void>

- - Defined in src/app/_services/token.service.ts:43

  #### Returns Promise<void>

### init

- init(): Promise<void>

- - Defined in src/app/_services/token.service.ts:23

  #### Returns Promise<void>

Generated using TypeDoc